### Method

# FwupdPlugin Context get_smbios_data

#### Declaration [src]

    GPtrArray*
    fu_context_get_smbios_data (
      FuContext* self,
      guint8 type,
      guint8 length,
      GError** error
    )

#### Description [src]

Gets all hardware SMBIOS data for a specific type.

Available since: | 2.0.7

#### Parameters

`type` | `guint8`
| A SMBIOS structure type, e.g. `FU_SMBIOS_STRUCTURE_TYPE_BIOS`.
`length` | `guint8`
| Expected length of the structure, or `FU_SMBIOS_STRUCTURE_LENGTH_ANY`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `GBytes*`
| A `GBytes`, or `NULL` if not found.
| The caller of the method takes ownership of the data container, but not the data inside it.